; Formal verification proof - SCLBool with Bool Specification of test_netlist_8x8.txt
(set-logic QF_BV)

; Inputs: xi0_1, xi1_1, xi2_1, xi3_1, xi4_1, xi5_1, xi6_1, xi7_1, yi0_1, yi1_1, yi2_1, yi3_1, yi4_1, yi5_1, yi6_1, yi7_1
(declare-fun xi0_1 () (_ BitVec 1))
(declare-fun xi1_1 () (_ BitVec 1))
(declare-fun xi2_1 () (_ BitVec 1))
(declare-fun xi3_1 () (_ BitVec 1))
(declare-fun xi4_1 () (_ BitVec 1))
(declare-fun xi5_1 () (_ BitVec 1))
(declare-fun xi6_1 () (_ BitVec 1))
(declare-fun xi7_1 () (_ BitVec 1))
(declare-fun yi0_1 () (_ BitVec 1))
(declare-fun yi1_1 () (_ BitVec 1))
(declare-fun yi2_1 () (_ BitVec 1))
(declare-fun yi3_1 () (_ BitVec 1))
(declare-fun yi4_1 () (_ BitVec 1))
(declare-fun yi5_1 () (_ BitVec 1))
(declare-fun yi6_1 () (_ BitVec 1))
(declare-fun yi7_1 () (_ BitVec 1))

; Outputs: p0_0, p1_0, p2_0, p3_0, p4_0, p5_0, p6_0, p7_0, p8_0, p9_0, p10_0, p11_0, p12_0, p13_0, p14_0, p15_0, p0_1, p1_1, p2_1, p3_1, p4_1, p5_1, p6_1, p7_1, p8_1, p9_1, p10_1, p11_1, p12_1, p13_1, p14_1, p15_1
(declare-fun p0_0 () (_ BitVec 1))
(declare-fun p1_0 () (_ BitVec 1))
(declare-fun p2_0 () (_ BitVec 1))
(declare-fun p3_0 () (_ BitVec 1))
(declare-fun p4_0 () (_ BitVec 1))
(declare-fun p5_0 () (_ BitVec 1))
(declare-fun p6_0 () (_ BitVec 1))
(declare-fun p7_0 () (_ BitVec 1))
(declare-fun p8_0 () (_ BitVec 1))
(declare-fun p9_0 () (_ BitVec 1))
(declare-fun p10_0 () (_ BitVec 1))
(declare-fun p11_0 () (_ BitVec 1))
(declare-fun p12_0 () (_ BitVec 1))
(declare-fun p13_0 () (_ BitVec 1))
(declare-fun p14_0 () (_ BitVec 1))
(declare-fun p15_0 () (_ BitVec 1))

(declare-fun p0_1 () (_ BitVec 1))
(declare-fun p1_1 () (_ BitVec 1))
(declare-fun p2_1 () (_ BitVec 1))
(declare-fun p3_1 () (_ BitVec 1))
(declare-fun p4_1 () (_ BitVec 1))
(declare-fun p5_1 () (_ BitVec 1))
(declare-fun p6_1 () (_ BitVec 1))
(declare-fun p7_1 () (_ BitVec 1))
(declare-fun p8_1 () (_ BitVec 1))
(declare-fun p9_1 () (_ BitVec 1))
(declare-fun p10_1 () (_ BitVec 1))
(declare-fun p11_1 () (_ BitVec 1))
(declare-fun p12_1 () (_ BitVec 1))
(declare-fun p13_1 () (_ BitVec 1))
(declare-fun p14_1 () (_ BitVec 1))
(declare-fun p15_1 () (_ BitVec 1))



;----------------------- th12 Function---------------------------------
(define-fun th12 ((a (_ BitVec 1)) (b (_ BitVec 1))) (_ BitVec 1)
	(bvor a b) )
;----------------------- th22 Function---------------------------------
(define-fun th22 ((a (_ BitVec 1)) (b (_ BitVec 1))) (_ BitVec 1)
	(bvand a b) )
	
;----------------------- th23 Function---------------------------------
(define-fun th23 ((a (_ BitVec 1)) (b (_ BitVec 1))(c (_ BitVec 1))) (_ BitVec 1)
	(bvor (bvand a b) (bvor (bvand b c) (bvand a c)) ) ) 	
	
;----------------------- thand0 Function---------------------------------
(define-fun thand0 ((a (_ BitVec 1)) (b (_ BitVec 1))(c (_ BitVec 1)) (d (_ BitVec 1)) ) (_ BitVec 1)
	(bvor (bvand a b) (bvor (bvand b c) (bvand a d) ) ) ) 

;----------------------- th24comp Function---------------------------------
(define-fun th24comp ((a (_ BitVec 1)) (b (_ BitVec 1))(c (_ BitVec 1)) (d (_ BitVec 1)) ) (_ BitVec 1)
	(bvor (bvand a c) (bvor (bvand b c) (bvor (bvand a d) (bvand b d)) ) ) ) 
;----------------------- th34w2 Function---------------------------------
(define-fun th34w2 ((a (_ BitVec 1)) (b (_ BitVec 1))(c (_ BitVec 1)) (d (_ BitVec 1)) ) (_ BitVec 1)
	(bvor (bvand a b) (bvor (bvand a c) (bvor (bvand a d) (bvand b (bvand c d)) ) ) ) ) 
	
(define-fun Reg_DATA ((a (_ BitVec 1)) (reset (_ BitVec 1))) (_ BitVec 1)
	(ite (= reset (_ bv1 1)) (_ bv0 1) a) ) 
	
; SAT/UNSAT assertion for test_netlist_8x8.txt
(assert
	(not		
		(let
			(
				(xi0_0 (bvnot xi0_1 ))
				(yi0_0 (bvnot yi0_1 ))
				(yi1_0 (bvnot yi1_1 ))
				(yi2_0 (bvnot yi2_1 ))
				(yi3_0 (bvnot yi3_1 ))
				(yi4_0 (bvnot yi4_1 ))
				(yi5_0 (bvnot yi5_1 ))
				(yi6_0 (bvnot yi6_1 ))
				(yi7_0 (bvnot yi7_1 ))
				(xi1_0 (bvnot xi1_1 ))
				(xi2_0 (bvnot xi2_1 ))
				(xi3_0 (bvnot xi3_1 ))
				(xi4_0 (bvnot xi4_1 ))
				(xi5_0 (bvnot xi5_1 ))
				(xi6_0 (bvnot xi6_1 ))
				(xi7_0 (bvnot xi7_1 ))
				(p0_1 (th22 xi0_1  yi0_1 ))
				(and0x1_1 (th22 xi0_1  yi1_1 ))
				(and0x2_1 (th22 xi0_1  yi2_1 ))
				(and0x3_1 (th22 xi0_1  yi3_1 ))
				(and0x4_1 (th22 xi0_1  yi4_1 ))
				(and0x5_1 (th22 xi0_1  yi5_1 ))
				(and0x6_1 (th22 xi0_1  yi6_1 ))
				(and0x7_1 (th22 xi0_1  yi7_1 ))
				(and1x0_1 (th22 xi1_1  yi0_1 ))
				(and1x1_1 (th22 xi1_1  yi1_1 ))
				(and1x2_1 (th22 xi1_1  yi2_1 ))
				(and1x3_1 (th22 xi1_1  yi3_1 ))
				(and1x4_1 (th22 xi1_1  yi4_1 ))
				(and1x5_1 (th22 xi1_1  yi5_1 ))
				(and1x6_1 (th22 xi1_1  yi6_1 ))
				(and1x7_1 (th22 xi1_1  yi7_1 ))
				(and2x0_1 (th22 xi2_1  yi0_1 ))
				(and2x1_1 (th22 xi2_1  yi1_1 ))
				(and2x2_1 (th22 xi2_1  yi2_1 ))
				(and2x3_1 (th22 xi2_1  yi3_1 ))
				(and2x4_1 (th22 xi2_1  yi4_1 ))
				(and2x5_1 (th22 xi2_1  yi5_1 ))
				(and2x6_1 (th22 xi2_1  yi6_1 ))
				(and2x7_1 (th22 xi2_1  yi7_1 ))
				(and3x0_1 (th22 xi3_1  yi0_1 ))
				(and3x1_1 (th22 xi3_1  yi1_1 ))
				(and3x2_1 (th22 xi3_1  yi2_1 ))
				(and3x3_1 (th22 xi3_1  yi3_1 ))
				(and3x4_1 (th22 xi3_1  yi4_1 ))
				(and3x5_1 (th22 xi3_1  yi5_1 ))
				(and3x6_1 (th22 xi3_1  yi6_1 ))
				(and3x7_1 (th22 xi3_1  yi7_1 ))
				(and4x0_1 (th22 xi4_1  yi0_1 ))
				(and4x1_1 (th22 xi4_1  yi1_1 ))
				(and4x2_1 (th22 xi4_1  yi2_1 ))
				(and4x3_1 (th22 xi4_1  yi3_1 ))
				(and4x4_1 (th22 xi4_1  yi4_1 ))
				(and4x5_1 (th22 xi4_1  yi5_1 ))
				(and4x6_1 (th22 xi4_1  yi6_1 ))
				(and4x7_1 (th22 xi4_1  yi7_1 ))
				(and5x0_1 (th22 xi5_1  yi0_1 ))
				(and5x1_1 (th22 xi5_1  yi1_1 ))
				(and5x2_1 (th22 xi5_1  yi2_1 ))
				(and5x3_1 (th22 xi5_1  yi3_1 ))
				(and5x4_1 (th22 xi5_1  yi4_1 ))
				(and5x5_1 (th22 xi5_1  yi5_1 ))
				(and5x6_1 (th22 xi5_1  yi6_1 ))
				(and5x7_1 (th22 xi5_1  yi7_1 ))
				(and6x0_1 (th22 xi6_1  yi0_1 ))
				(and6x1_1 (th22 xi6_1  yi1_1 ))
				(and6x2_1 (th22 xi6_1  yi2_1 ))
				(and6x3_1 (th22 xi6_1  yi3_1 ))
				(and6x4_1 (th22 xi6_1  yi4_1 ))
				(and6x5_1 (th22 xi6_1  yi5_1 ))
				(and6x6_1 (th22 xi6_1  yi6_1 ))
				(and6x7_1 (th22 xi6_1  yi7_1 ))
				(and7x0_1 (th22 xi7_1  yi0_1 ))
				(and7x1_1 (th22 xi7_1  yi1_1 ))
				(and7x2_1 (th22 xi7_1  yi2_1 ))
				(and7x3_1 (th22 xi7_1  yi3_1 ))
				(and7x4_1 (th22 xi7_1  yi4_1 ))
				(and7x5_1 (th22 xi7_1  yi5_1 ))
				(and7x6_1 (th22 xi7_1  yi6_1 ))
				(and7x7_1 (th22 xi7_1  yi7_1 ))
			)		
		(let
			(
				(p0_0 (th12 xi0_0  yi0_0 ))
				(and0x1_0 (thand0 yi1_0  xi0_0  yi1_1  xi0_1 ))
				(and0x2_0 (thand0 yi2_0  xi0_0  yi2_1  xi0_1 ))
				(and0x3_0 (thand0 yi3_0  xi0_0  yi3_1  xi0_1 ))
				(and0x4_0 (thand0 yi4_0  xi0_0  yi4_1  xi0_1 ))
				(and0x5_0 (thand0 yi5_0  xi0_0  yi5_1  xi0_1 ))
				(and0x6_0 (thand0 yi6_0  xi0_0  yi6_1  xi0_1 ))
				(and0x7_0 (thand0 yi7_0  xi0_0  yi7_1  xi0_1 ))
				(and1x0_0 (thand0 yi0_0  xi1_0  yi0_1  xi1_1 ))
				(and1x1_0 (th12 xi1_0  yi1_0 ))
				(and1x2_0 (thand0 yi2_0  xi1_0  yi2_1  xi1_1 ))
				(and1x3_0 (thand0 yi3_0  xi1_0  yi3_1  xi1_1 ))
				(and1x4_0 (thand0 yi4_0  xi1_0  yi4_1  xi1_1 ))
				(and1x5_0 (thand0 yi5_0  xi1_0  yi5_1  xi1_1 ))
				(and1x6_0 (thand0 yi6_0  xi1_0  yi6_1  xi1_1 ))
				(and1x7_0 (thand0 yi7_0  xi1_0  yi7_1  xi1_1 ))
				(and2x0_0 (thand0 yi0_0  xi2_0  yi0_1  xi2_1 ))
				(and2x1_0 (thand0 yi1_0  xi2_0  yi1_1  xi2_1 ))
				(and2x2_0 (th12 xi2_0  yi2_0 ))
				(and2x3_0 (thand0 yi3_0  xi2_0  yi3_1  xi2_1 ))
				(and2x4_0 (thand0 yi4_0  xi2_0  yi4_1  xi2_1 ))
				(and2x5_0 (thand0 yi5_0  xi2_0  yi5_1  xi2_1 ))
				(and2x6_0 (thand0 yi6_0  xi2_0  yi6_1  xi2_1 ))
				(and2x7_0 (thand0 yi7_0  xi2_0  yi7_1  xi2_1 ))
				(and3x0_0 (thand0 yi0_0  xi3_0  yi0_1  xi3_1 ))
				(and3x1_0 (thand0 yi1_0  xi3_0  yi1_1  xi3_1 ))
				(and3x2_0 (thand0 yi2_0  xi3_0  yi2_1  xi3_1 ))
				(and3x3_0 (th12 xi3_0  yi3_0 ))
				(and3x4_0 (thand0 yi4_0  xi3_0  yi4_1  xi3_1 ))
				(and3x5_0 (thand0 yi5_0  xi3_0  yi5_1  xi3_1 ))
				(and3x6_0 (thand0 yi6_0  xi3_0  yi6_1  xi3_1 ))
				(and3x7_0 (thand0 yi7_0  xi3_0  yi7_1  xi3_1 ))
				(and4x0_0 (thand0 yi0_0  xi4_0  yi0_1  xi4_1 ))
				(and4x1_0 (thand0 yi1_0  xi4_0  yi1_1  xi4_1 ))
				(and4x2_0 (thand0 yi2_0  xi4_0  yi2_1  xi4_1 ))
				(and4x3_0 (thand0 yi3_0  xi4_0  yi3_1  xi4_1 ))
				(and4x4_0 (th12 xi4_0  yi4_0 ))
				(and4x5_0 (thand0 yi5_0  xi4_0  yi5_1  xi4_1 ))
				(and4x6_0 (thand0 yi6_0  xi4_0  yi6_1  xi4_1 ))
				(and4x7_0 (thand0 yi7_0  xi4_0  yi7_1  xi4_1 ))
				(and5x0_0 (thand0 yi0_0  xi5_0  yi0_1  xi5_1 ))
				(and5x1_0 (thand0 yi1_0  xi5_0  yi1_1  xi5_1 ))
				(and5x2_0 (thand0 yi2_0  xi5_0  yi2_1  xi5_1 ))
				(and5x3_0 (thand0 yi3_0  xi5_0  yi3_1  xi5_1 ))
				(and5x4_0 (thand0 yi4_0  xi5_0  yi4_1  xi5_1 ))
				(and5x5_0 (th12 xi5_0  yi5_0 ))
				(and5x6_0 (thand0 yi6_0  xi5_0  yi6_1  xi5_1 ))
				(and5x7_0 (thand0 yi7_0  xi5_0  yi7_1  xi5_1 ))
				(and6x0_0 (thand0 yi0_0  xi6_0  yi0_1  xi6_1 ))
				(and6x1_0 (thand0 yi1_0  xi6_0  yi1_1  xi6_1 ))
				(and6x2_0 (thand0 yi2_0  xi6_0  yi2_1  xi6_1 ))
				(and6x3_0 (thand0 yi3_0  xi6_0  yi3_1  xi6_1 ))
				(and6x4_0 (thand0 yi4_0  xi6_0  yi4_1  xi6_1 ))
				(and6x5_0 (thand0 yi5_0  xi6_0  yi5_1  xi6_1 ))
				(and6x6_0 (th12 xi6_0  yi6_0 ))
				(and6x7_0 (thand0 yi7_0  xi6_0  yi7_1  xi6_1 ))
				(and7x0_0 (thand0 yi0_0  xi7_0  yi0_1  xi7_1 ))
				(and7x1_0 (thand0 yi1_0  xi7_0  yi1_1  xi7_1 ))
				(and7x2_0 (thand0 yi2_0  xi7_0  yi2_1  xi7_1 ))
				(and7x3_0 (thand0 yi3_0  xi7_0  yi3_1  xi7_1 ))
				(and7x4_0 (thand0 yi4_0  xi7_0  yi4_1  xi7_1 ))
				(and7x5_0 (thand0 yi5_0  xi7_0  yi5_1  xi7_1 ))
				(and7x6_0 (thand0 yi6_0  xi7_0  yi6_1  xi7_1 ))
				(and7x7_0 (th12 xi7_0  yi7_0 ))
				(c1x1_1 (th22 and0x1_1  and1x0_1 ))
			)		
		(let
			(
				(p1_1 (th24comp and0x1_0  and1x0_0  and0x1_1  and1x0_1 ))
				(p1_0 (th24comp and0x1_0  and1x0_1  and1x0_0  and0x1_1 ))
				(c1x1_0 (th12 and0x1_0  and1x0_0 ))
				(c1x2_1 (th23 and2x0_1  and1x1_1  c1x1_1 ))
			)		
		(let
			(
				(c1x2_0 (th23 and2x0_0  and1x1_0  c1x1_0 ))
				(s1x2_0 (th34w2 c1x2_1  and2x0_0  and1x1_0  c1x1_0 ))
				(c1x3_1 (th23 and3x0_1  and2x1_1  c1x2_1 ))
			)		
		(let
			(
				(s1x2_1 (th34w2 c1x2_0  and2x0_1  and1x1_1  c1x1_1 ))
				(c1x3_0 (th23 and3x0_0  and2x1_0  c1x2_0 ))
				(s1x3_0 (th34w2 c1x3_1  and3x0_0  and2x1_0  c1x2_0 ))
				(c1x4_1 (th23 and4x0_1  and3x1_1  c1x3_1 ))
				(c2x2_0 (th12 s1x2_0  and0x2_0 ))
			)		
		(let
			(
				(s1x3_1 (th34w2 c1x3_0  and3x0_1  and2x1_1  c1x2_1 ))
				(c1x4_0 (th23 and4x0_0  and3x1_0  c1x3_0 ))
				(s1x4_0 (th34w2 c1x4_1  and4x0_0  and3x1_0  c1x3_0 ))
				(c1x5_1 (th23 and5x0_1  and4x1_1  c1x4_1 ))
				(p2_1 (th24comp s1x2_0  and0x2_0  s1x2_1  and0x2_1 ))
				(p2_0 (th24comp s1x2_0  and0x2_1  and0x2_0  s1x2_1 ))
				(c2x2_1 (th22 s1x2_1  and0x2_1 ))
				(c2x3_0 (th23 and1x2_0  s1x3_0  c2x2_0 ))
			)		
		(let
			(
				(s1x4_1 (th34w2 c1x4_0  and4x0_1  and3x1_1  c1x3_1 ))
				(c1x5_0 (th23 and5x0_0  and4x1_0  c1x4_0 ))
				(s1x5_0 (th34w2 c1x5_1  and5x0_0  and4x1_0  c1x4_0 ))
				(c1x6_1 (th23 and6x0_1  and5x1_1  c1x5_1 ))
				(c2x3_1 (th23 and1x2_1  s1x3_1  c2x2_1 ))
				(s2x3_1 (th34w2 c2x3_0  and1x2_1  s1x3_1  c2x2_1 ))
			)		
		(let
			(
				(s1x5_1 (th34w2 c1x5_0  and5x0_1  and4x1_1  c1x4_1 ))
				(c1x6_0 (th23 and6x0_0  and5x1_0  c1x5_0 ))
				(s1x6_0 (th34w2 c1x6_1  and6x0_0  and5x1_0  c1x5_0 ))
				(c1x7_1 (th23 and7x0_1  and6x1_1  c1x6_1 ))
				(s2x3_0 (th34w2 c2x3_1  and1x2_0  s1x3_0  c2x2_0 ))
				(c2x4_0 (th23 and2x2_0  s1x4_0  c2x3_0 ))
				(c2x4_1 (th23 and2x2_1  s1x4_1  c2x3_1 ))
				(c3x3_1 (th22 s2x3_1  and0x3_1 ))
			)		
		(let
			(
				(s1x6_1 (th34w2 c1x6_0  and6x0_1  and5x1_1  c1x5_1 ))
				(c1x7_0 (th23 and7x0_0  and6x1_0  c1x6_0 ))
				(s1x7_0 (th34w2 c1x7_1  and7x0_0  and6x1_0  c1x6_0 ))
				(s2x4_1 (th34w2 c2x4_0  and2x2_1  s1x4_1  c2x3_1 ))
				(s2x4_0 (th34w2 c2x4_1  and2x2_0  s1x4_0  c2x3_0 ))
				(c2x5_0 (th23 and3x2_0  s1x5_0  c2x4_0 ))
				(c2x5_1 (th23 and3x2_1  s1x5_1  c2x4_1 ))
				(p3_1 (th24comp s2x3_0  and0x3_0  s2x3_1  and0x3_1 ))
				(p3_0 (th24comp s2x3_0  and0x3_1  and0x3_0  s2x3_1 ))
				(c3x3_0 (th12 s2x3_0  and0x3_0 ))
			)		
		(let
			(
				(s1x7_1 (th34w2 c1x7_0  and7x0_1  and6x1_1  c1x6_1 ))
				(s2x5_1 (th34w2 c2x5_0  and3x2_1  s1x5_1  c2x4_1 ))
				(s2x5_0 (th34w2 c2x5_1  and3x2_0  s1x5_0  c2x4_0 ))
				(c2x6_0 (th23 and4x2_0  s1x6_0  c2x5_0 ))
				(c2x6_1 (th23 and4x2_1  s1x6_1  c2x5_1 ))
				(c3x4_0 (th23 and1x3_0  s2x4_0  c3x3_0 ))
				(c3x4_1 (th23 and1x3_1  s2x4_1  c3x3_1 ))
			)		
		(let
			(
				(s2x6_1 (th34w2 c2x6_0  and4x2_1  s1x6_1  c2x5_1 ))
				(s2x6_0 (th34w2 c2x6_1  and4x2_0  s1x6_0  c2x5_0 ))
				(c2x7_0 (th23 and5x2_0  s1x7_0  c2x6_0 ))
				(c2x7_1 (th23 and5x2_1  s1x7_1  c2x6_1 ))
				(s3x4_1 (th34w2 c3x4_0  and1x3_1  s2x4_1  c3x3_1 ))
				(s3x4_0 (th34w2 c3x4_1  and1x3_0  s2x4_0  c3x3_0 ))
				(c3x5_0 (th23 and2x3_0  s2x5_0  c3x4_0 ))
				(c3x5_1 (th23 and2x3_1  s2x5_1  c3x4_1 ))
			)		
		(let
			(
				(s2x7_1 (th34w2 c2x7_0  and5x2_1  s1x7_1  c2x6_1 ))
				(s2x7_0 (th34w2 c2x7_1  and5x2_0  s1x7_0  c2x6_0 ))
				(c2x8_0 (th23 and7x1_0  c1x7_0  c2x7_0 ))
				(c2x8_1 (th23 and7x1_1  c1x7_1  c2x7_1 ))
				(s3x5_1 (th34w2 c3x5_0  and2x3_1  s2x5_1  c3x4_1 ))
				(s3x5_0 (th34w2 c3x5_1  and2x3_0  s2x5_0  c3x4_0 ))
				(c3x6_0 (th23 and3x3_0  s2x6_0  c3x5_0 ))
				(c3x6_1 (th23 and3x3_1  s2x6_1  c3x5_1 ))
				(p4_1 (th24comp s3x4_0  and0x4_0  s3x4_1  and0x4_1 ))
				(p4_0 (th24comp s3x4_0  and0x4_1  and0x4_0  s3x4_1 ))
				(c4x4_1 (th22 s3x4_1  and0x4_1 ))
				(c4x4_0 (th12 s3x4_0  and0x4_0 ))
			)		
		(let
			(
				(s2x8_1 (th34w2 c2x8_0  and7x1_1  c1x7_1  c2x7_1 ))
				(s2x8_0 (th34w2 c2x8_1  and7x1_0  c1x7_0  c2x7_0 ))
				(s3x6_1 (th34w2 c3x6_0  and3x3_1  s2x6_1  c3x5_1 ))
				(s3x6_0 (th34w2 c3x6_1  and3x3_0  s2x6_0  c3x5_0 ))
				(c3x7_0 (th23 and4x3_0  s2x7_0  c3x6_0 ))
				(c3x7_1 (th23 and4x3_1  s2x7_1  c3x6_1 ))
				(c4x5_0 (th23 and1x4_0  s3x5_0  c4x4_0 ))
				(c4x5_1 (th23 and1x4_1  s3x5_1  c4x4_1 ))
			)		
		(let
			(
				(s3x7_1 (th34w2 c3x7_0  and4x3_1  s2x7_1  c3x6_1 ))
				(s3x7_0 (th34w2 c3x7_1  and4x3_0  s2x7_0  c3x6_0 ))
				(c3x8_0 (th23 and6x2_0  s2x8_0  c3x7_0 ))
				(c3x8_1 (th23 and6x2_1  s2x8_1  c3x7_1 ))
				(s4x5_1 (th34w2 c4x5_0  and1x4_1  s3x5_1  c4x4_1 ))
				(s4x5_0 (th34w2 c4x5_1  and1x4_0  s3x5_0  c4x4_0 ))
				(c4x6_0 (th23 and2x4_0  s3x6_0  c4x5_0 ))
				(c4x6_1 (th23 and2x4_1  s3x6_1  c4x5_1 ))
			)		
		(let
			(
				(s3x8_1 (th34w2 c3x8_0  and6x2_1  s2x8_1  c3x7_1 ))
				(s3x8_0 (th34w2 c3x8_1  and6x2_0  s2x8_0  c3x7_0 ))
				(c3x9_0 (th23 and7x2_0  c2x8_0  c3x8_0 ))
				(c3x9_1 (th23 and7x2_1  c2x8_1  c3x8_1 ))
				(s4x6_1 (th34w2 c4x6_0  and2x4_1  s3x6_1  c4x5_1 ))
				(s4x6_0 (th34w2 c4x6_1  and2x4_0  s3x6_0  c4x5_0 ))
				(c4x7_0 (th23 and3x4_0  s3x7_0  c4x6_0 ))
				(c4x7_1 (th23 and3x4_1  s3x7_1  c4x6_1 ))
				(p5_1 (th24comp s4x5_0  and0x5_0  s4x5_1  and0x5_1 ))
				(p5_0 (th24comp s4x5_0  and0x5_1  and0x5_0  s4x5_1 ))
				(c5x5_1 (th22 s4x5_1  and0x5_1 ))
				(c5x5_0 (th12 s4x5_0  and0x5_0 ))
			)		
		(let
			(
				(s3x9_1 (th34w2 c3x9_0  and7x2_1  c2x8_1  c3x8_1 ))
				(s3x9_0 (th34w2 c3x9_1  and7x2_0  c2x8_0  c3x8_0 ))
				(s4x7_1 (th34w2 c4x7_0  and3x4_1  s3x7_1  c4x6_1 ))
				(s4x7_0 (th34w2 c4x7_1  and3x4_0  s3x7_0  c4x6_0 ))
				(c4x8_0 (th23 and5x3_0  s3x8_0  c4x7_0 ))
				(c4x8_1 (th23 and5x3_1  s3x8_1  c4x7_1 ))
				(c5x6_0 (th23 and1x5_0  s4x6_0  c5x5_0 ))
				(c5x6_1 (th23 and1x5_1  s4x6_1  c5x5_1 ))
			)		
		(let
			(
				(s4x8_1 (th34w2 c4x8_0  and5x3_1  s3x8_1  c4x7_1 ))
				(s4x8_0 (th34w2 c4x8_1  and5x3_0  s3x8_0  c4x7_0 ))
				(c4x9_0 (th23 and6x3_0  s3x9_0  c4x8_0 ))
				(c4x9_1 (th23 and6x3_1  s3x9_1  c4x8_1 ))
				(s5x6_1 (th34w2 c5x6_0  and1x5_1  s4x6_1  c5x5_1 ))
				(s5x6_0 (th34w2 c5x6_1  and1x5_0  s4x6_0  c5x5_0 ))
				(c5x7_0 (th23 and2x5_0  s4x7_0  c5x6_0 ))
				(c5x7_1 (th23 and2x5_1  s4x7_1  c5x6_1 ))
			)		
		(let
			(
				(s4x9_1 (th34w2 c4x9_0  and6x3_1  s3x9_1  c4x8_1 ))
				(s4x9_0 (th34w2 c4x9_1  and6x3_0  s3x9_0  c4x8_0 ))
				(c4x10_0 (th23 and7x3_0  c3x9_0  c4x9_0 ))
				(c4x10_1 (th23 and7x3_1  c3x9_1  c4x9_1 ))
				(s5x7_1 (th34w2 c5x7_0  and2x5_1  s4x7_1  c5x6_1 ))
				(s5x7_0 (th34w2 c5x7_1  and2x5_0  s4x7_0  c5x6_0 ))
				(c5x8_0 (th23 and4x4_0  s4x8_0  c5x7_0 ))
				(c5x8_1 (th23 and4x4_1  s4x8_1  c5x7_1 ))
				(p6_1 (th24comp s5x6_0  and0x6_0  s5x6_1  and0x6_1 ))
				(p6_0 (th24comp s5x6_0  and0x6_1  and0x6_0  s5x6_1 ))
				(c6x6_1 (th22 s5x6_1  and0x6_1 ))
				(c6x6_0 (th12 s5x6_0  and0x6_0 ))
			)		
		(let
			(
				(s4x10_1 (th34w2 c4x10_0  and7x3_1  c3x9_1  c4x9_1 ))
				(s4x10_0 (th34w2 c4x10_1  and7x3_0  c3x9_0  c4x9_0 ))
				(s5x8_1 (th34w2 c5x8_0  and4x4_1  s4x8_1  c5x7_1 ))
				(s5x8_0 (th34w2 c5x8_1  and4x4_0  s4x8_0  c5x7_0 ))
				(c5x9_0 (th23 and5x4_0  s4x9_0  c5x8_0 ))
				(c5x9_1 (th23 and5x4_1  s4x9_1  c5x8_1 ))
				(c6x7_0 (th23 and1x6_0  s5x7_0  c6x6_0 ))
				(c6x7_1 (th23 and1x6_1  s5x7_1  c6x6_1 ))
			)		
		(let
			(
				(s5x9_1 (th34w2 c5x9_0  and5x4_1  s4x9_1  c5x8_1 ))
				(s5x9_0 (th34w2 c5x9_1  and5x4_0  s4x9_0  c5x8_0 ))
				(c5x10_0 (th23 and6x4_0  s4x10_0  c5x9_0 ))
				(c5x10_1 (th23 and6x4_1  s4x10_1  c5x9_1 ))
				(s6x7_1 (th34w2 c6x7_0  and1x6_1  s5x7_1  c6x6_1 ))
				(s6x7_0 (th34w2 c6x7_1  and1x6_0  s5x7_0  c6x6_0 ))
				(c6x8_0 (th23 and3x5_0  s5x8_0  c6x7_0 ))
				(c6x8_1 (th23 and3x5_1  s5x8_1  c6x7_1 ))
			)		
		(let
			(
				(s5x10_1 (th34w2 c5x10_0  and6x4_1  s4x10_1  c5x9_1 ))
				(s5x10_0 (th34w2 c5x10_1  and6x4_0  s4x10_0  c5x9_0 ))
				(c5x11_0 (th23 and7x4_0  c4x10_0  c5x10_0 ))
				(c5x11_1 (th23 and7x4_1  c4x10_1  c5x10_1 ))
				(s6x8_1 (th34w2 c6x8_0  and3x5_1  s5x8_1  c6x7_1 ))
				(s6x8_0 (th34w2 c6x8_1  and3x5_0  s5x8_0  c6x7_0 ))
				(c6x9_0 (th23 and4x5_0  s5x9_0  c6x8_0 ))
				(c6x9_1 (th23 and4x5_1  s5x9_1  c6x8_1 ))
				(p7_1 (th24comp s6x7_0  and0x7_0  s6x7_1  and0x7_1 ))
				(p7_0 (th24comp s6x7_0  and0x7_1  and0x7_0  s6x7_1 ))
				(c7x7_1 (th22 s6x7_1  and0x7_1 ))
				(c7x7_0 (th12 s6x7_0  and0x7_0 ))
			)		
		(let
			(
				(s5x11_1 (th34w2 c5x11_0  and7x4_1  c4x10_1  c5x10_1 ))
				(s5x11_0 (th34w2 c5x11_1  and7x4_0  c4x10_0  c5x10_0 ))
				(s6x9_1 (th34w2 c6x9_0  and4x5_1  s5x9_1  c6x8_1 ))
				(s6x9_0 (th34w2 c6x9_1  and4x5_0  s5x9_0  c6x8_0 ))
				(c6x10_0 (th23 and5x5_0  s5x10_0  c6x9_0 ))
				(c6x10_1 (th23 and5x5_1  s5x10_1  c6x9_1 ))
				(c7x8_0 (th23 and2x6_0  s6x8_0  c7x7_0 ))
				(c7x8_1 (th23 and2x6_1  s6x8_1  c7x7_1 ))
			)		
		(let
			(
				(s6x10_1 (th34w2 c6x10_0  and5x5_1  s5x10_1  c6x9_1 ))
				(s6x10_0 (th34w2 c6x10_1  and5x5_0  s5x10_0  c6x9_0 ))
				(c6x11_0 (th23 and6x5_0  s5x11_0  c6x10_0 ))
				(c6x11_1 (th23 and6x5_1  s5x11_1  c6x10_1 ))
				(s7x8_1 (th34w2 c7x8_0  and2x6_1  s6x8_1  c7x7_1 ))
				(s7x8_0 (th34w2 c7x8_1  and2x6_0  s6x8_0  c7x7_0 ))
				(c7x9_0 (th23 and3x6_0  s6x9_0  c7x8_0 ))
				(c7x9_1 (th23 and3x6_1  s6x9_1  c7x8_1 ))
			)		
		(let
			(
				(s6x11_1 (th34w2 c6x11_0  and6x5_1  s5x11_1  c6x10_1 ))
				(s6x11_0 (th34w2 c6x11_1  and6x5_0  s5x11_0  c6x10_0 ))
				(c6x12_0 (th23 and7x5_0  c5x11_0  c6x11_0 ))
				(c6x12_1 (th23 and7x5_1  c5x11_1  c6x11_1 ))
				(s7x9_1 (th34w2 c7x9_0  and3x6_1  s6x9_1  c7x8_1 ))
				(s7x9_0 (th34w2 c7x9_1  and3x6_0  s6x9_0  c7x8_0 ))
				(c7x10_0 (th23 and4x6_0  s6x10_0  c7x9_0 ))
				(c7x10_1 (th23 and4x6_1  s6x10_1  c7x9_1 ))
				(p8_1 (th24comp s7x8_0  and1x7_0  s7x8_1  and1x7_1 ))
				(p8_0 (th24comp s7x8_0  and1x7_1  and1x7_0  s7x8_1 ))
				(c8x8_1 (th22 s7x8_1  and1x7_1 ))
				(c8x8_0 (th12 s7x8_0  and1x7_0 ))
			)		
		(let
			(
				(s6x12_1 (th34w2 c6x12_0  and7x5_1  c5x11_1  c6x11_1 ))
				(s6x12_0 (th34w2 c6x12_1  and7x5_0  c5x11_0  c6x11_0 ))
				(s7x10_1 (th34w2 c7x10_0  and4x6_1  s6x10_1  c7x9_1 ))
				(s7x10_0 (th34w2 c7x10_1  and4x6_0  s6x10_0  c7x9_0 ))
				(c7x11_0 (th23 and5x6_0  s6x11_0  c7x10_0 ))
				(c7x11_1 (th23 and5x6_1  s6x11_1  c7x10_1 ))
				(c8x9_0 (th23 and2x7_0  s7x9_0  c8x8_0 ))
				(c8x9_1 (th23 and2x7_1  s7x9_1  c8x8_1 ))
			)		
		(let
			(
				(s7x11_1 (th34w2 c7x11_0  and5x6_1  s6x11_1  c7x10_1 ))
				(s7x11_0 (th34w2 c7x11_1  and5x6_0  s6x11_0  c7x10_0 ))
				(c7x12_0 (th23 and6x6_0  s6x12_0  c7x11_0 ))
				(c7x12_1 (th23 and6x6_1  s6x12_1  c7x11_1 ))
				(p9_1 (th34w2 c8x9_0  and2x7_1  s7x9_1  c8x8_1 ))
				(p9_0 (th34w2 c8x9_1  and2x7_0  s7x9_0  c8x8_0 ))
				(c8x10_0 (th23 and3x7_0  s7x10_0  c8x9_0 ))
				(c8x10_1 (th23 and3x7_1  s7x10_1  c8x9_1 ))
			)		
		(let
			(
				(s7x12_1 (th34w2 c7x12_0  and6x6_1  s6x12_1  c7x11_1 ))
				(s7x12_0 (th34w2 c7x12_1  and6x6_0  s6x12_0  c7x11_0 ))
				(c7x13_0 (th23 and7x6_0  c6x12_0  c7x12_0 ))
				(c7x13_1 (th23 and7x6_1  c6x12_1  c7x12_1 ))
				(p10_1 (th34w2 c8x10_0  and3x7_1  s7x10_1  c8x9_1 ))
				(p10_0 (th34w2 c8x10_1  and3x7_0  s7x10_0  c8x9_0 ))
				(c8x11_0 (th23 and4x7_0  s7x11_0  c8x10_0 ))
				(c8x11_1 (th23 and4x7_1  s7x11_1  c8x10_1 ))
			)		
		(let
			(
				(s7x13_1 (th34w2 c7x13_0  and7x6_1  c6x12_1  c7x12_1 ))
				(s7x13_0 (th34w2 c7x13_1  and7x6_0  c6x12_0  c7x12_0 ))
				(p11_1 (th34w2 c8x11_0  and4x7_1  s7x11_1  c8x10_1 ))
				(p11_0 (th34w2 c8x11_1  and4x7_0  s7x11_0  c8x10_0 ))
				(c8x12_0 (th23 and5x7_0  s7x12_0  c8x11_0 ))
				(c8x12_1 (th23 and5x7_1  s7x12_1  c8x11_1 ))
			)		
		(let
			(
				(p12_1 (th34w2 c8x12_0  and5x7_1  s7x12_1  c8x11_1 ))
				(p12_0 (th34w2 c8x12_1  and5x7_0  s7x12_0  c8x11_0 ))
				(c8x13_0 (th23 and6x7_0  s7x13_0  c8x12_0 ))
				(c8x13_1 (th23 and6x7_1  s7x13_1  c8x12_1 ))
			)	
			
		(let
			(
				(p13_1 (th34w2 c8x13_0  and6x7_1  s7x13_1  c8x12_1 ))
				(p13_0 (th34w2 c8x13_1  and6x7_0  s7x13_0  c8x12_0 ))
				(p15_0 (th23 and7x7_0  c7x13_0  c8x13_0 ))
				(p15_1 (th23 and7x7_1  c7x13_1  c8x13_1 ))
			)		
		(let
			(
				(p14_1 (th34w2 p15_0  and7x7_1  c7x13_1  c8x13_1 ))
				(p14_0 (th34w2 p15_1  and7x7_0  c7x13_0  c8x13_0 ))
			)

		
		(let
			(
				 ( out_scl_rail1 (concat p15_1  p14_1  p13_1  p12_1  p11_1  p10_1  p9_1  p8_1  p7_1  p6_1  p5_1  p4_1  p3_1  p2_1  p1_1  p0_1 ))
				 ( out_scl_rail0 (concat p15_0  p14_0  p13_0  p12_0  p11_0  p10_0  p9_0  p8_0  p7_0  p6_0  p5_0  p4_0  p3_0  p2_0  p1_0  p0_0 ))
			)
			
			
;        ------------------Sync Specification -------------------
		(let
			(
				(x_t (concat (_ bv0 8) xi7_1 xi6_1 xi5_1 xi4_1 xi3_1 xi2_1 xi1_1 xi0_1))
				(y_t (concat (_ bv0 8) yi7_1 yi6_1 yi5_1 yi4_1 yi3_1 yi2_1 yi1_1 yi0_1))
			)
		(let 
			(
				(p (bvmul x_t y_t))
			)
		

			(and
				(= out_scl_rail1 p) 
				(not
					(= out_scl_rail0 out_scl_rail1)
				)
			)	
		 ))))))))))) )))))))))) )))))))))))))
	)
)	
(check-sat)
(get-model)
